Bug 858503 - display shows garbage after suspend/resume on W520
display shows garbage after suspend/resume on W520
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 18:59 EDT by perutka.ondrej
Modified: 2014-09-13 15:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 10:15:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg log (102.88 KB, application/octet-stream)
2012-09-18 18:59 EDT, perutka.ondrej
no flags Details
lspci -v (10.05 KB, text/plain)
2012-09-18 19:03 EDT, perutka.ondrej
no flags Details

  None (edit)
Description perutka.ondrej 2012-09-18 18:59:13 EDT
Created attachment 614153 [details]
dmesg log

Description of problem:

After suspend/resume cycle it shows only black and white rectangles (like a chessboard) on my ThinkPad W520. The only way to get rid of that is rebooting from the console.

Version-Release number of selected component (if applicable):

kernel-3.5.3-1.fc17
xorg-x11-drv-nouveau-1:0.0.16-37.20120306gitf5d1cd2.fc17


How reproducible:

It is always reproducible. Note: I need to boot with noapic parameter because of the following bug(s):

https://bugzilla.redhat.com/show_bug.cgi?id=827164
https://bugzilla.redhat.com/show_bug.cgi?id=752613


Steps to Reproduce:
1. suspend
2. resume
  
Actual results:
Frozen chessboard-like screen after suspend/resume.

Expected results:
Working system.

Additional info:
I've attached dmesg log. The resume starts somewhere around line 1132 and there are lots of "[drm] nouveau 0000:01:00.0: nv50cal_space: -16" messages after resume starting at line 1230.
Comment 1 perutka.ondrej 2012-09-18 19:03:16 EDT
Created attachment 614154 [details]
lspci -v

lspci output
Comment 2 perutka.ondrej 2012-09-22 19:02:05 EDT
Same problem is also caused by hibernate/resume cycle except it is possible to restore normal operation by killing the Xorg process.
Comment 3 Ben Skeggs 2012-09-28 01:01:31 EDT
Are you able to install and this test kernel package and see if there's any change?

http://koji.fedoraproject.org/koji/taskinfo?taskID=4536222

Thanks!
Comment 4 perutka.ondrej 2012-09-28 08:41:08 EDT
There is definitely an improvement but I must say it is not OK yet. I did some tests on f17 and here are results:

 - The workspace is still unusable after suspend (black and white rectangles), but the system is responsive, so it's possible to restart display manager using systemctl stop/start ... command.
 - The brightness control does not work after suspend. The display always resumes with full brightness.

 - After hibernate the workspace is also unusable but it's possible to restart display manager.
 - The brightness control works fine after hibernate (it didn't last time).

I'll add f18 test results as soon as I get it installed on my hard drive.
Comment 5 perutka.ondrej 2012-09-28 18:27:42 EDT
The f18 test results are same as the results for f17 but there is also a significant power drop after suspend or hibernate in f18.

By the way the f18 installer is pretty crap. It changed system id of one of my ntfs partitions to 0x83 (Linux) and almost ruined my data :-D .
Comment 6 Peter Williams 2013-01-17 20:32:51 EST
I have the same problem on my Thinkpad T530. I just upgraded to F18 and am running kernel 3.7.2-201.fc18.x86_64. If I suspend and resume, I get a colorful swizzly pattern. I can see the mouse cursor moving around, though. If I switch to a text console and hit Ctrl-Alt-Del, the screen is briefly fine as the shutdown sequence is shown.

Is there any information I can contribute that'd be helpful?
Comment 7 Andrew Meredith 2013-01-28 07:53:51 EST
I have the same issue with F18:

xorg-x11-server-Xorg-1.13.1-4.fc18.x86_64
xorg-x11-drv-nouveau-1.0.6-1.fc18.x86_64
kernel-3.7.2-204.fc18.x86_64
gdm-3.6.2-5.fc18.x86_64
gdm-libs-3.6.2-5.fc18.x86_64

It all works fine until I resume after a suspend, when I get a speckled white screen with no mouse. I can switch to a tty console. If I then log in as root on the tty console and run:

     init 3 ; sleep 5 ; init 5

It gives me back a functional login page and all works fine from then on ... until the next suspend/resume.

Any keyboard or mouse activity produces another spurt of the following lines in the messages log. I include one of each below, but there are dozens of each on every movement.


[71595.275820] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 1 [0x003fcfa000]
[71595.276698] nouveau E[  PGRAPH][0000:01:00.0] SHADER 0xa0040a1e
......
Comment 8 perutka.ondrej 2013-03-02 18:54:41 EST
There is a slight change after F18 kernel update to 3.8.1:
 - I got the same result after suspend except the brightness control works now.
 - Unfortunately, the result after hibernation has got worse. Now the display won't come up at all (even my external monitor). The display turns on with power and stays on during kernel and hibernation image loading and than it turns off and won't come up until reboot.
Comment 9 Raphos 2013-03-17 16:21:32 EDT
Using Fedora 18, I have the same problems each time on wake up : multicolor square, I just see the mouse cursor moving. The desktop is working because the shutdown button placed at my top right corner works.

When I hit Ctrl-Alt-F2 I have the message :

PC kernel: [13316.045432] nouveau E[  PGRAPH][0000:0f:00.0] TRAP ch 1 [0x003fce1000]
PC kernel: [13316.047318] nouveau E[  PGRAPH][0000:0f:00.0] SHADER 0xa004021e

This is what I use :

- XFCE xfdesktop.x86_64 4.10.2-1.fc18
- VGA compatible controller: NVIDIA Corporation GF106GL [Quadro 2000] (rev a1)
- server glx vendor string: SGI
- server glx version string: 1.4
- OpenGL vendor string: nouveau
- OpenGL renderer string: Gallium 0.4 on NVC3
- OpenGL version string: 2.1 Mesa 9.1
- Linux 3.8.3-201.fc18.x86_64
- xorg-x11-drv-nouveau.x86_64 1:1.0.6-4.fc18

Tell me if you need other informations.
Comment 10 Darryl L. Pierce 2013-04-19 09:13:12 EDT
Same issue on a Lenovo T530 with:

mcpierce@mcpierce-work:~  $ lspci | grep -i nvidia
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [Quadro NVS 5400M] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GF108 High Definition Audio Controller (rev a1)
Comment 11 Peter Williams 2013-05-15 09:31:19 EDT
This still happens for me on the Fedora 19 alpha. Same mixture of symptoms as described by everyone else.
Comment 13 Fedora End Of Life 2013-07-03 17:06:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Raphos 2013-07-04 03:22:50 EDT
This bug can be pushed for Fedora 19 because still happens for me on the Fedora 19.

A work around is to install the nvidia driver...
Comment 15 Peter Williams 2013-07-04 10:55:39 EDT
With a Lenovo T530 and the Fedora 19 + updates, this particular bug is mostly solved for me. I can suspend/resume and often get the screen back normally. Occasionally I see the "rainbow blocks" pattern for about a second, then the correct screen image comes back.

I still have several other suspend/resume issues, but they're not exactly what this bug is talking about.

01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [NVS 5400M] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GF108 High Definition Audio Controller (rev a1)

kernel-3.9.8-300.fc19.x86_64
xorg-x11-drv-nouveau-1.0.7-1.fc19.x86_64
Comment 16 Raphos 2013-07-04 15:10:26 EDT
So, after a fresh Fedora 19 install (I was using Beta version) the screen seems coming back normally after wake up.

- OpenGL version string: 3.0 Mesa 9.2.0-devel
- Linux 3.9.8-300.fc19.x86_64
- xorg-x11-drv-nouveau.x86_64 1:1.0.7-1.fc19

Just want to test a few days. I'll let you know...
Comment 17 Darryl L. Pierce 2013-07-08 09:01:20 EDT
(In reply to Peter Williams from comment #15)
> With a Lenovo T530 and the Fedora 19 + updates, this particular bug is
> mostly solved for me. I can suspend/resume and often get the screen back
> normally. Occasionally I see the "rainbow blocks" pattern for about a
> second, then the correct screen image comes back.

Same here. I removed the binary nVidia drivers and am back to using the nouveau drivers instead. So far things seem find.

> I still have several other suspend/resume issues, but they're not exactly
> what this bug is talking about.
> 
> 01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [NVS 5400M]
> (rev a1)
> 01:00.1 Audio device: NVIDIA Corporation GF108 High Definition Audio
> Controller (rev a1)
> 
> kernel-3.9.8-300.fc19.x86_64
> xorg-x11-drv-nouveau-1.0.7-1.fc19.x86_64

Can you contact me off-list with the BZs for the other issues you're experiencing?
Comment 18 Martin 2013-07-10 10:15:30 EDT
Ok, closing this bug, please reopen if problem returns.

Note You need to log in before you can comment on or make changes to this bug.